package Logik;

import java.util.ArrayList;

public class Kind {

	// region Felder

	private /*transient*/ int id;
	private String name;
	private String vorname;
	private int bid;

	private ArrayList<Zutat> filter;
	// endregion

	// region Getter & Setter
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVorname() {
		return vorname;
	}

	public void setVorname(String vorname) {
		this.vorname = vorname;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getBid() {
		return bid;
	}

	public void setBid(int bid) {
		this.bid = bid;
	}

	public ArrayList<Zutat> getFilter() {
		return filter;
	}

	public void setFilter(ArrayList<Zutat> filter) {
		this.filter = filter;
	}
	// endregion

	// region Konstruktoren
	public Kind(String name, String vorname, int bid) {
		this.name = name;
		this.vorname = vorname;
		this.bid = bid;
	}

	// endregion


	@Override
	public String toString() {
		return String.format("%s %s, %d", vorname, name, id);
	}

}
